<bugID>1151413<Summary>executeSoon should set async caller</Summary><Description>|makeInfallible| should use |callFunctionWithAsyncStack| to connect the function it runs with the outer environment.</Description></bugID>